Skip to main content
POST
Hailuo 02 Standard
Generate videos from a source image using the hailuo/02-image-to-video-standard model.

Authentication

All API requests require a Bearer Token.

Create a Video Generation Task

Submit an image-to-video generation task using the endpoint below.

Request Body

string
required
Must be hailuo/02-image-to-video-standard.
object
required

Input Parameters

The input object contains the parameters used to generate the video.
string
required
Use prompt to describe the video you want to generate.Maximum length: 1500 characters.
string
required
Use image_url for the video’s first frame.The image_url must contain the URL of an uploaded image. The value must be an uploaded file URL, not the file content itself.Supported formats:
  • image/jpeg
  • image/png
  • image/webp
Maximum file size: 10 MB
string
Set end_image_url as the image displayed as last frame of the video.The end_image_url must contain the URL of an uploaded image. The value must be an uploaded file URL, not the file content itself.Supported formats:
  • image/jpeg
  • image/png
  • image/webp
Maximum file size: 10 MB
string
default:"10"
Use duration to specify the length of the generated video in seconds.Supported values:
  • "6"
  • "10"
Default: "10"
string
default:"768P"
Specify the resolution of the generated video.Supported values:
  • 512P
  • 768P
Default: 768P
boolean
default:"true"
Whether to use the model’s prompt optimizer.Default: true

Example Request

Response

Successful Response

number
Response status code.
string
Response message. Contains the error description when the request fails.Example: success
object
required
The task data object containing task id.
string
required
The unique identifier for this task.Example: task_123456

Query Task Status

After submitting a task, use the unified query endpoint to check the task progress and retrieve the generated results.

Get Task Details

Check task status, monitor generation progress, and retrieve results.

Error Response

Response Codes